Comment 30 for bug 354228

I don't have any problem now with python2.6 but python3 does not install correctly.

Linking and byte-compiling packages for runtime python3.0...
  File "/usr/bin/py_compilefiles", line 27
    print "file does not exist:", fullname
                               ^
SyntaxError: invalid syntax
pycentral: pycentral rtinstall: package python-bittorrent: error byte-compiling files (31)
pycentral rtinstall: package python-bittorrent: error byte-compiling files (31)

I looked at /usr/bin/pycentral and it effectively uses py_compilefiles for all python versions instead of py3_compilefiles for python 3. But after altering pycentral accordingly, the python3.0-minimal-postinst tries to compile all python modules in python 3, and there are NOT compatible with python 3 yet.

The problem seems more general: this package's philosophy is 'just another version of python' while python3 is not backward compatible...